{ config, lib, pkgs, ... }:

let cfg = config.sydnix.drawing-tablet;
in {
  options.sydnix.drawing-tablet = {
    enable = lib.mkEnableOption "drawing tablet support";
  };

  # Also see the home-manager module!!
  config = lib.mkIf cfg.enable {
    hardware.opentabletdriver = {
      enable = true;
      daemon.enable = true;
    };
  };
}
